if command -v sudo >/dev/null 2>&1 || command -v doas >/dev/null 2>&1; then
    g++ -o radio *.cpp *.h `wx-config --cxxflags --libs` -lvlc -lcurl -ljsoncpp

    if [ -x ./radio ]; then
        read -p "Do you want to install the Binary? [y/N] " input

        if [ "$input" = "y" ] || [ "$input" = "Y" ]; then
            mkdir -p ~/.config/radio++/
            touch ~/.config/radio++/sender

            if command -v sudo >/dev/null 2>&1; then
                sudo cp -v radio /usr/local/bin/
            elif command -v doas >/dev/null 2>&1; then
                doas cp -v radio /usr/local/bin/
            fi

            echo "Finished!"
        else
            echo "Goodbye :c"
        fi
    else
        echo "Something went wrong :/"
        echo "Exiting..."
    fi
else
    echo "Please log in as root and execute the script."
fi